Module java.net.http
Package java.net.http

# Enum Class HttpClient.Version

java.lang.Object
java.lang.Enum<HttpClient.Version>
java.net.http.HttpClient.Version

All Implemented Interfaces:
  `Serializable`, `Comparable<HttpClient.Version>`, `Constable`

Enclosing class:
  HttpClient

public static enum HttpClient.Version extends Enum<HttpClient.Version>
The HTTP protocol version.

Since:
  11

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HTTP_1_1`
HTTP version 1.1
`HTTP_2`
HTTP version 2

## Method Summary

Modifier and Type
Method
Description
`static HttpClient.Version`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HttpClient.Version[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HTTP_1_1

public static final HttpClient.Version HTTP_1_1
HTTP version 1.1

### HTTP_2

public static final HttpClient.Version HTTP_2
HTTP version 2

## Method Details

### values

public static HttpClient.Version[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HttpClient.Version valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null